Page MenuHomePhabricator

Automatically hide "Your preferences have been saved." message when changing preferences
Closed, ResolvedPublic

Description

Details

Reference
bz17496
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:29 PM
bzimport set Reference to bz17496.
bzimport created this task.Feb 14 2009, 4:20 PM
demon added a comment.Feb 14 2009, 4:23 PM

Empty bug report. Suggest WONTFIX based on summary alone. Needs further info from reporter as to why this should be done (I don't see any reason not to confirm that they were saved).

sylvain.brunerie wrote:

After saving preferences, a message is displayed that says "Your preferences
have been saved.". But if I keep doing changes to my preferences, and I leave
my computer, then when I come back in front of my screen, I don't remember
whether or not my changes have been saved. Some JavaScript code could
automatically hide this message when changing preferences.

(Sorry, I didn't mean to type Enter so early...)
(And sorry for my bad English)

demon added a comment.Feb 14 2009, 4:35 PM

Ah ok! That makes a lot more sense. I originally understood this was "Using JS
to hide preferences" always. Didn't see a reason there :)

sylvain.brunerie wrote:

:)

demon added a comment.Aug 2 2009, 4:17 PM

Giving this to Andrew, low priority.

ayg wrote:

I suggest we not make messages mysteriously disappear after a timeout. That's confusing. People might not be done reading them, or they might have taken the action, switched to another tab/window, and only come back half an hour later. No message should disappear after a time period has elapsed, unless maybe it's intrinsically time-sensitive and no longer makes sense.

I'd hide it whenever a preference is changed.

ayg wrote:

That would be sensible.

If we're going to show and hide this after a timer if prefer it was a floating fixed element rather than an in-line one, A. So the user sees it, and B. So it isn't making the content of the page refactor when it appears and disappears. If reccomend 4 seconds for the time on screen.

To address the issue of "knowing if it saved" I'd recommend disabling the save button if no changes have been made since last save. I don't think this is absolute needed but it's another reminder that there is nothing you need to do.

Hi I am new here and wanted to work on this bug.
I implemented it as this-Whenever a user changes the preferences tab or reloads or clicks on any section of the preferences tabs, the message is hidden. Is it a good implementation?
I liked Jared's idea as well. Can anyone suggest how I should implement it?

(In reply to comment #10)

Hi I am new here and wanted to work on this bug.
I implemented it as this-Whenever a user changes the preferences tab or
reloads

Great. I will assign the same to you.

Created attachment 14325
Patch to remove success box on changing any preference or switching tab

I was unable to submit the patch to gerrit directly because of ISP issues.
As suggested by sumanah on IRC, I tried to submit it using the online gerrit uploader but it gave me an error as well.
So I posted the patch here directly.
Can someone please review it and tell if I should modify it.

Attached:

Change 107837 had a related patch set uploaded by 01tonythomas:
Patch to remove success box on changing any preference or switching tab

https://gerrit.wikimedia.org/r/107837

(In reply to comment #12)

Created attachment 14325 [details]
Patch to remove success box on changing any preference or switching tab

You should go through
www.mediawiki.org/wiki/Gerrit/Tutorial
next time to submit a patch using git-review.

Attached:

Thank you Tony. I was unable to submit a patch because my proxy doesn't allow SSH to Gerrit port. I will try and submit it through git-review next time by some other internet connection.

Thank you Tony. I was unable to submit a patch because my proxy doesn't allow SSH to Gerrit port. I will try and submit it through git-review next time by some other internet connection.

Can we add it as a GCI task? The previous patch is outdated.

demon removed a subscriber: demon.Dec 10 2014, 6:22 PM
Qgil added subscribers: Aklapper, Qgil.

CCing @Aklapper just in case we still have time for GCi.

Qgil removed Kunalgrover05 as the assignee of this task.Jan 12 2015, 12:21 PM
Qgil set Security to None.

@01tonythomas, @Kunalgrover05: Would you mentor such a GCi task? If yes feel free to create a task in Google Melange, or I can do that.

I think polishing https://gerrit.wikimedia.org/r/#/c/107837/ a bit would do the same. Will create the GCI task.

He7d3r renamed this task from JS: Automatically hide "Your preferences have been saved." message when changing preferences to Automatically hide "Your preferences have been saved." message when changing preferences.Jan 12 2015, 10:06 PM
He7d3r updated the task description. (Show Details)
He7d3r added a project: JavaScript.

Change 185125 had a related patch set uploaded (by Sn1per):
Hide saved prefs message on change

https://gerrit.wikimedia.org/r/185125

Patch-For-Review

The change by @Sn1per use the postedit box to show the success message. It fades out on switching tabs and looks good. Can someone do a quick review, as the GCI ends in 24 hours ?
Attaching a quick preview

Sn1per added a comment.Feb 1 2015, 7:51 PM

I have changed the savedprefs message from a postEdit box to a mw.notification because of feedback. The notification box is more consistent with other settings changes e.g. add to watch list. The disappearance on settings/tab change functionality is unchanged. Here is a screenshot :-)

Change 185125 merged by jenkins-bot:
Use notification on successful preferences save

https://gerrit.wikimedia.org/r/185125

Sn1per closed this task as Resolved.Aug 1 2015, 11:27 PM
Sn1per added a subscriber: Legoktm.

Thanks to @Legoktm for final approval :D

Change 228579 had a related patch set uploaded (by Sn1per):
Fix caveats in Ibecbe21aa52ddc061d4bb27815f6fa5161a96735

https://gerrit.wikimedia.org/r/228579

Meno25 removed a subscriber: Meno25.Aug 2 2015, 4:23 AM

Change 228579 merged by jenkins-bot:
Preferences: Fix issues from 6d3c65b5b0

https://gerrit.wikimedia.org/r/228579